rte_table_action_dscp_table_entry(3)

NAME
rte_table_action_dscp_table_entry

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

uint32_t tc_id
uint32_t tc_queue_id
enum rte_color color

Detailed Description

Differentiated Services Code Point (DSCP) translation table entry.

Definition at line 191 of file rte_table_action.h.

Field Documentation

  uint32_t tc_id
Traffic class. Used by the meter or the traffic management actions. Has to be strictly smaller than RTE_TABLE_ACTION_TC_MAX. Traffic class 0 is the highest priority.

Definition at line 196 of file rte_table_action.h.

  uint32_t tc_queue_id
Traffic class queue. Used by the traffic management action. Has to be strictly smaller than RTE_TABLE_ACTION_TC_QUEUE_MAX.

Definition at line 201 of file rte_table_action.h.

  enum rte_color color
Packet color. Used by the meter action as the packet input color for the color aware mode of the traffic metering algorithm.

Definition at line 206 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.